Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libuecc: new aport

From: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
Date: Sat, 7 Feb 2015 19:10:36 +0000

Very small Elliptic Curve Cryptography library
http://git.universe-factory.net/libuecc/
---
 testing/libuecc/APKBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 testing/libuecc/APKBUILD
diff --git a/testing/libuecc/APKBUILD b/testing/libuecc/APKBUILD
new file mode 100644
index 0000000..31f8fde
--- /dev/null
+++ b/testing/libuecc/APKBUILD
_at_@ -0,0 +1,45 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+pkgname=libuecc
+pkgver=5
+pkgrel=0
+pkgdesc="Very small Elliptic Curve Cryptography library"
+url="http://git.universe-factory.net/libuecc/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="cmake"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://git.universe-factory.net/${pkgname}/snapshot/${pkgname}-${pkgver}.tar"
+
+_builddir="$srcdir/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	mkdir build
+	cd build
+	cmake -D CMAKE_INSTALL_PREFIX=/usr ..
+	make
+}
+
+package() {
+	cd "$_builddir/build"
+	make install DESTDIR="${pkgdir}"
+	install -Dm644 "$_builddir"/COPYRIGHT \
+		$pkgdir/usr/share/licenses/$pkgname/COPYRIGHT
+}
+
+md5sums="1afe00678f20cd5f305b6db7b30fc748  libuecc-5.tar"
+sha256sums="5f4104e70e48f077f92395e6652d9a139e3fdbcc4dc51113ddc955bf2a82542a  libuecc-5.tar"
+sha512sums="83ca53eb3fed6558fb790cd3429baaab6a5f9b65a490e584d9a02990fb20b8809bfd1c32571dc8ed74b6fbaa8413a9763bd31c70018c256c8ad20ae24e72e24e  libuecc-5.tar"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Feb 07 2015 - 19:10:36 GMT